Bug 1097166 - Cannot deploy the latest MySQL driver into EAP
Summary: Cannot deploy the latest MySQL driver into EAP
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: EAP 6.4.0
Assignee: Enrique Gonzalez Martinez
QA Contact: Martin Simka
Russell Dickenson
URL:
Whiteboard:
Keywords: Reopened
Depends On: 1027126
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-13 09:38 UTC by tom.jenkinson
Modified: 2015-11-27 11:38 UTC (History)
7 users (show)

(edit)
Clone Of: 1027126
(edit)
Last Closed: 2015-11-27 11:38:33 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2121 Major Closed Add a jdbc object store implementation for later revisions of MySQL driver 2018-11-06 08:49 UTC
Red Hat Bugzilla 1107120 None None None Never

Internal Trackers: 1107120

Comment 1 Ondrej Chaloupka 2014-06-10 06:30:37 UTC
In case could not be somelike connected with this issue?
https://bugzilla.redhat.com/show_bug.cgi?id=1107120

Comment 2 tom.jenkinson 2014-06-10 10:03:51 UTC
Hi,

To be clear this is just about deploying the latest version of the MySQL driver into the AS.

Basically, pop the driver into the deployments folder and it didn't work.

It looks like an OSGi issue so not really sure if its JCA but its certainly not TM.

Tom

Comment 3 Jesper Pedersen 2014-06-10 11:49:14 UTC
Override using the <driver-class> element in <driver>

Comment 9 JBoss JIRA Server 2014-09-15 12:49:39 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2121 to Closed

Comment 10 Martin Simka 2014-11-14 11:50:17 UTC
reopen

we should at least consider using first driver in services/java.sql.Driver as default

Current behavior confuses a lot of users. 

First class is already used when driver is in module and data-source class isn't specified while adding driver. See. https://bugzilla.redhat.com/show_bug.cgi?id=1107120

Comment 15 Enrique Gonzalez Martinez 2015-11-27 11:38:33 UTC
Giving a second thought about this. 

Doing this way (comment #11) would cause problems in case of upgrading jdbc drivers (this bz is an example).

If we use one driver by default (arbitrary policy about picking one of the listed in the jar file), we are making this problem not visible. This could cause a problem (possible use of the wrong driver, not supported, not tested, etc...). I think is better to leave the behaviour as it is. It seems consistent to me.


Note You need to log in before you can comment on or make changes to this bug.